// Copyright (c) 2012-2021 LG Electronics, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// SPDX-License-Identifier: Apache-2.0


#ifndef _CONNMAN_COMMON_H_
#define _CONNMAN_COMMON_H_

#include <gio/gio.h>
#include <glib-object.h>

#include "connman-interface.h"

#define CONNMAN_WIFI_INTERFACE_NAME     "wlan0"
#define CONNMAN_WIRED_INTERFACE_NAME    "eth0"
#define CONNMAN_P2P_INTERFACE_NAME	""

#define CONNMAN_SAVED_PROFILE_CONFIG_DIR	"/var/lib/connman"

typedef enum {
	CONNMAN_WFD_DEV_TYPE_SOURCE         = 0,
	CONNMAN_WFD_DEV_TYPE_PRIMARY_SINK   = 1,
	CONNMAN_WFD_DEV_TYPE_SECONDARY_SINK = 2,
	CONNMAN_WFD_DEV_TYPE_DUAL           = 3,
}connman_wfd_dev_type;

typedef void (*connman_common_cb)(gpointer);
typedef void (*connman_property_changed_cb)(gpointer , const gchar *, GVariant *);

#endif /* _CONNMAN_COMMON_H_ */

